Bio::MAGETAB::Publication(3)

NAME
Bio::MAGETAB::Publication - MAGE-TAB publication class

SYNOPSIS
 use Bio::MAGETAB::Publication;

DESCRIPTION
This class is used to describe the publications listed in a MAGE-TAB IDF file. See the BaseClass class for superclass methods.

ATTRIBUTES

title (required)
    The title of the publication (data type: String).

authorList (optional)
    A simple listing of all the authors of the publication (data type: String).

pubMedID (optional)
    The PubMed ID (where available) of the publication (data type: String).

DOI (optional)
    The DOI (where available) of the publication (data type: String).

status (optional)
    The status of the publication (e.g. 'submitted', 'in_press', 'published'), usually taken from a suitable ontology (data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).